import { Construct } from 'constructs';
export interface AppOptions {
    /**
     * The directory to output Terraform resources.
     *
     * @default - CDKTF_OUTDIR if defined, otherwise "cdktf.out"
     */
    readonly outdir?: string;
    readonly stackTraces?: boolean;
}
/**
 * Represents a cdktf application.
 */
export declare class App extends Construct {
    /**
     * The output directory into which resources will be synthesized.
     */
    readonly outdir: string;
    /**
     * Defines an app
     * @param options configuration options
     */
    constructor(options?: AppOptions);
    /**
     * Synthesizes all resources to the output directory
     */
    synth(): void;
}
